package com.hfkj.service.rebate;

import com.hfkj.entity.BsRebateMerAccountOrder;

import java.util.List;
import java.util.Map;

/**
 * @className: BsRebateMerAccountOrderServer
 * @author: HuRui
 * @date: 2023/10/13
 **/
public interface BsRebateMerAccountOrderServer {

    /**
     * 编辑数据
     * @param order
     */
    void editData(BsRebateMerAccountOrder order);

    /**
     * 查询详情
     * @param orderNo
     * @return
     */
    BsRebateMerAccountOrder getDetailByOrderNo(String orderNo);

    /**
     * 支付成功
     * @param orderNo 交易订单号
     * @param paySerialNo 支付流水号
     */
    void paySuccess(String orderNo,String paySerialNo);

    /**
     * 查询订单列表
     * @param param
     * @return
     */
    List<BsRebateMerAccountOrder> getOrderList(Map<String,Object> param);



}
